require_relative 'version'

#
# SystemWithAliases - execute system commands with aliases
#
module SystemWithAliases
  #
  # Expand command to one that would interpret aliases,
  # If possible.
  #
  def self.expand(command, shell = ENV['SHELL'])
    if shell =~ /sh/
      "#{shell} -l -c '#{command}' 2>&1"
    else
      "#{command} 2>&1"
    end
  end

  #
  # Execute shell command,
  # Return output,
  # Run with aliases if possible.
  #
  def self.execute(command)
    expanded_command = expand(command)

    `#{expanded_command}`
  end
end
